浅葱さんのブログ

ええ、以前はぷらしのすとか言っていましたよ

twitter botを作ろうと思ったがtwitter gemをインストールしただけで時間切れ眠い気力と体力の限界

どんなbotを作ろうと思ったかはご想像にお任せします。
Centos5.5 には ruby 1.8.5 がついていて、そこに gem を野良インストールしてあった。
gem install twitter のインストールを試みた。すごい時間がかかるがよくわからないエラーがでてダメ。
要は ruby 1.8.5 では限界ということである。

一念発起して ruby の最新版をインストールする。ruby-lang.org にいって ruby-2.2.3.tar.gz を落としてきて、

$ sh configure --program-suffix=223 --disable-install-doc
$ make
$ make check
# make install

ここで configure オプションは --program-suffix でコマンド名が衝突しないようにして、 --disable-install-doc はビルド時に rdoc をコンパイルしないようにするもの。後者はなぜかエラーになるから回避しただけである。

あとは最近の ruby には rdoc が内蔵されているので、 sudo gem twitter するだけでよい。

URLメモ 学生さんが
http://route477.net/w/RubyTwitterJa.html

スポンサーサイト

コメント

コメントの投稿


管理者にだけ表示を許可する

トラックバック

トラックバック URL
http://prasinos.blog2.fc2.com/tb.php/795-8038374b
この記事にトラックバックする(FC2ブログユーザー)

FC2Ad